import { Intersector } from "./intersector";
import { CurveToCommandMadeAbsolute, MoveToCommandMadeAbsolute, QuadraticCurveToCommandMadeAbsolute, SmoothCurveToCommandMadeAbsolute } from "svg-path-parser";
import { CurveCommandType } from "../../base/command_mapper";
export declare class CurvePointIntersector implements Intersector<CurveCommandType, MoveToCommandMadeAbsolute> {
    intersects(curve: CurveToCommandMadeAbsolute | SmoothCurveToCommandMadeAbsolute | QuadraticCurveToCommandMadeAbsolute, point: MoveToCommandMadeAbsolute): boolean;
    supportedCommandTypes(): [string[], string[]];
}
