import { AggregationNode } from "./aggregation_node";
export declare class AggregationTree<T> {
    private _roots;
    private _aggregationFcn;
    constructor(aggregationFcn: (cmd1: T, cmd2: T) => boolean);
    getAggregatedCommands(): T[][];
    addValue(value: T): void;
    getAllNodes(): AggregationNode<T>[];
}
