import { Shape } from "./shape";
import { Line } from "../command_mapper";
import { SvgData } from "../svg_data";
export declare class LineShape implements Shape<Line> {
    code: 'L';
    private _line;
    private _svgData;
    constructor(line: Line, svgData: SvgData);
    get svgData(): SvgData;
    get command(): Line;
    get center(): {
        x: number;
        y: number;
    };
    findAngle(): number;
    findLength(): number;
}
