import { Shape } from "./shape";
import { MoveToCommandMadeAbsolute } from "svg-path-parser";
import { SvgData } from "../svg_data";
export declare class PointShape implements Shape<MoveToCommandMadeAbsolute> {
    code: 'M';
    private _move;
    private _svgData;
    constructor(moveCmd: MoveToCommandMadeAbsolute, svgData: SvgData);
    get svgData(): SvgData;
    get command(): MoveToCommandMadeAbsolute;
    get center(): {
        x: number;
        y: number;
    };
}
