"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PointShape = void 0;
var PointShape = /** @class */ (function () {
    function PointShape(moveCmd, svgData) {
        this.code = 'M';
        this._move = moveCmd;
        this._svgData = svgData;
    }
    Object.defineProperty(PointShape.prototype, "svgData", {
        get: function () {
            return this._svgData;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(PointShape.prototype, "command", {
        get: function () {
            return this._move;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(PointShape.prototype, "center", {
        get: function () {
            return { x: this._move.x, y: this._move.y };
        },
        enumerable: false,
        configurable: true
    });
    return PointShape;
}());
exports.PointShape = PointShape;
