export declare class Vector2d {
    private readonly _x;
    private readonly _y;
    constructor(x: number, y: number);
    get x(): number;
    get y(): number;
    unit(): Vector2d;
    opposite(): Vector2d;
    multiply(length: number): Vector2d;
    multiplyV(v: Vector2d): Vector2d;
    divide(length: number): Vector2d;
    add(vector: Vector2d): Vector2d;
    deduct(vector: Vector2d): Vector2d;
    equals(vector: Vector2d): boolean;
    length(): number;
    distance(vector: Vector2d): number;
    crossProduct(p: Vector2d): number;
    toString(): string;
    static random(): Vector2d;
    static fromString(key: string): Vector2d;
}
