import { Vector2d } from "./base/vector2d";
export declare class DebugUI {
    private readonly _svgElem;
    constructor(svg: HTMLElement);
    clear(): void;
    drawCharacterPoints(characterPoints: Array<Vector2d>): void;
    drawCircle(position: Vector2d, color: string, size: number): void;
    drawLine(p1: Vector2d, p2: Vector2d, color: string): void;
}
