import { Body } from "matter-js";
import { CurveToCommandMadeAbsolute } from "svg-path-parser";
import { AbstractCurveBody } from "./abstract_curve_body";
export declare class CurveBody extends AbstractCurveBody<CurveToCommandMadeAbsolute> {
    readonly _curve: CurveToCommandMadeAbsolute;
    readonly _bodies: Body[];
    readonly _point1: Body;
    readonly _point2: Body;
    readonly _point3: Body;
    constructor(curve: CurveToCommandMadeAbsolute, colliderSize: number);
    get bodies(): Body[];
    updateSvgCommand(): void;
}
