"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PointBody = void 0;
var matter_js_1 = require("matter-js");
var PointBody = /** @class */ (function () {
    function PointBody(moveCmd) {
        this._moveCmd = moveCmd;
        this._point = matter_js_1.Bodies.circle(moveCmd.x, moveCmd.y, 1, { render: { fillStyle: "white" }, isSensor: true });
        matter_js_1.Body.setDensity(this._point, 0);
        this._bodies = [this._point];
    }
    Object.defineProperty(PointBody.prototype, "bodies", {
        get: function () {
            return this._bodies;
        },
        enumerable: false,
        configurable: true
    });
    PointBody.prototype.updateSvgCommand = function () {
        this._moveCmd.x = this._point.position.x;
        this._moveCmd.y = this._point.position.y;
    };
    return PointBody;
}());
exports.PointBody = PointBody;
