import { Body } from "matter-js";
import { AbstractCurveBody } from "./abstract_curve_body";
import { SmoothCurveToCommandMadeAbsolute } from "svg-path-parser";
export declare class ReflectionCurveBody extends AbstractCurveBody<SmoothCurveToCommandMadeAbsolute> {
    readonly _curve: SmoothCurveToCommandMadeAbsolute;
    readonly _bodies: Body[];
    readonly _point1: Body;
    readonly _point3: Body;
    constructor(curve: SmoothCurveToCommandMadeAbsolute, colliderSize: number);
    get bodies(): Body[];
    updateSvgCommand(): void;
}
