import { Physics } from "../physics";
import { Shape } from "../../base/shape/shape";
import { Command } from "svg-path-parser";
import * as Matter from "matter-js";
export declare class MatterJsPhysics implements Physics {
    readonly _engine: Matter.Engine;
    readonly _world: Matter.World;
    private _bodies;
    constructor();
    init(aggregatedShapes: Shape<Command>[][]): void;
    update(aggregatedShapes: Shape<Command>[][], deltaTime: number): void;
}
