"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RendererPlugin = void 0;
var matter_js_1 = require("matter-js");
var RendererPlugin = /** @class */ (function () {
    function RendererPlugin() {
    }
    RendererPlugin.prototype.setup = function (svgData, physEngine, rootBodies) {
        // create renderer
        var render = matter_js_1.Render.create({
            element: document.body,
            engine: physEngine,
            options: {
                wireframes: true,
                width: svgData.width,
                height: svgData.height,
                // showPositions: true,
                showAngleIndicator: false,
            },
        });
        matter_js_1.Render.run(render);
    };
    return RendererPlugin;
}());
exports.RendererPlugin = RendererPlugin;
