import * as Matter from "matter-js";
import { SvgData } from "../base/svg_data";
import { AllCommandTypes } from "../base/command_mapper";
import { BodyConfig } from "./body/body_config";
import { PhysicsPlugin } from "./physics_plugin";
export declare class MatterJsPhysics {
    readonly _svgData: SvgData;
    readonly _engine: Matter.Engine;
    readonly _world: Matter.World;
    private _commandBodies;
    constructor(svgData: SvgData, globalConfig: BodyConfig, plugins: PhysicsPlugin[]);
    update(aggregatedShapes: AllCommandTypes[][]): void;
}
