import { Intersector } from "./intersector";
import { Command } from "svg-path-parser";
import { Aggregator } from "../aggregator";
import { Shape } from "../../base/shape/shape";
export declare class CollisionAggregator implements Aggregator {
    private _intersectorRegistry;
    constructor();
    aggregate(shapes: Shape<Command>[]): Shape<Command>[][];
    intersect(shape1: Shape<Command>, shape2: Shape<Command>, registry: Intersector<Shape<Command>, Shape<Command>>[]): boolean;
}
