import { Vector } from "matter-js";
import { CurveCommandType, LineCommandType, AllCommandTypes } from "./command_mapper";
export declare const findCenterOfCommand: (command: AllCommandTypes) => Vector;
export declare const findCenterOfCurveCommand: (command: CurveCommandType) => Vector;
export declare const findCenterOfLineCommand: (command: LineCommandType) => Vector;
export declare const findAngleOfLineCommand: (command: LineCommandType) => number;
export declare const findLengthOfLineCommand: (command: LineCommandType) => number;
export declare const findCurvePoints: (command: CurveCommandType) => Vector[];
