export declare class UniqueValueNode<T> {
    private _children;
    private readonly _value;
    private _parent;
    constructor(value: T, parent: UniqueValueNode<T> | undefined);
    get value(): T;
    get children(): ReadonlyArray<UniqueValueNode<T>>;
    get parent(): UniqueValueNode<T> | undefined;
    getOrCreateNode(value: T): UniqueValueNode<T>;
    changeParent(parent: T, child: T): void;
    getValuesRecursively(): Array<T>;
    private getNodeByValueRecursive;
}
