import { Vector2d } from "../base/vector2d";
import { Command } from "./command";
export interface PathParser {
    serialize(updatePositions: (positions: Array<Vector2d>, characterIndex: number) => Array<Vector2d>): string;
}
export declare abstract class AbstractPathParser {
    protected _charsCommands: Array<Array<Command>>;
    serialize(updatePositions: (positions: Array<Vector2d>, characterIndex: number) => Array<Vector2d>): string;
}
