import { AbstractCurveBody } from "./abstract_curve_body";
import { Body } from "matter-js";
import { QuadraticCurveToCommandMadeAbsolute } from "svg-path-parser";
export declare class QuadraticCurveBody extends AbstractCurveBody<QuadraticCurveToCommandMadeAbsolute> {
    readonly _curve: QuadraticCurveToCommandMadeAbsolute;
    readonly _bodies: Body[];
    readonly _point1: Body;
    readonly _point2: Body;
    constructor(curve: QuadraticCurveToCommandMadeAbsolute, colliderSize: number);
    get bodies(): Body[];
    updateSvgCommand(): void;
}
