import { PhysicsPlugin } from "../physics_plugin";
import { Engine, Body } from "matter-js";
import { SvgData } from "../../base/svg_data";
export declare class GravityPlugin implements PhysicsPlugin {
    private readonly _gravity;
    constructor(gravity: {
        x: number;
        y: number;
    });
    setup(svgData: SvgData, engine: Engine, rootBodies: Body[]): void;
}
