"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PointPointIntersector = void 0;
var matter_js_1 = require("matter-js");
var math_utils_1 = require("../../base/math_utils");
var PointPointIntersector = /** @class */ (function () {
    function PointPointIntersector() {
    }
    PointPointIntersector.prototype.intersects = function (point1, point2) {
        var point1Vec = matter_js_1.Vector.create(point1.x, point1.y);
        var point2Vec = matter_js_1.Vector.create(point2.x, point2.y);
        return (0, math_utils_1.vectorEquals)(point1Vec, point2Vec);
    };
    PointPointIntersector.prototype.supportedCommandTypes = function () {
        return [["M"], ["M"]];
    };
    return PointPointIntersector;
}());
exports.PointPointIntersector = PointPointIntersector;
