export declare class AggregationNode<T> {
    private _parent;
    private _value;
    private _children;
    private _id;
    constructor(value: T, parent: AggregationNode<T> | undefined);
    get id(): string;
    get value(): T;
    addChild(value: T): AggregationNode<T>;
    addChildNode(node: AggregationNode<T>): AggregationNode<T>;
    getChildrenRecursively(): AggregationNode<T>[];
    getRoot(): AggregationNode<T>;
}
