import { ClosePathCommandMadeAbsolute, CommandMadeAbsolute, CurveToCommandMadeAbsolute, LineToCommandMadeAbsolute, MoveToCommandMadeAbsolute, QuadraticCurveToCommandMadeAbsolute, SmoothCurveToCommandMadeAbsolute, SmoothQuadraticCurveToCommandMadeAbsolute } from "svg-path-parser";
export declare type AllCommandTypes = (CurveCommandType | LineCommandType | MoveToCommandMadeAbsolute);
export declare type CurveCommandType = (CurveToCommandMadeAbsolute | SmoothCurveToCommandMadeAbsolute | QuadraticCurveToCommandMadeAbsolute | SmoothQuadraticCurveToCommandMadeAbsolute);
export declare type LineCommandType = (LineToCommandMadeAbsolute | ClosePathCommandMadeAbsolute);
export declare const expandCommands: (commands: CommandMadeAbsolute[]) => AllCommandTypes[];
export declare class Line implements LineToCommandMadeAbsolute {
    code: 'L';
    command: "lineto";
    relative: false;
    x: number;
    x0: number;
    y: number;
    y0: number;
    constructor(x: number, y: number, x0: number, y0: number);
}
