import { Body } from "matter-js";
import { CurveCommandType } from "../../base/command_mapper";
import { CommandBody } from "./command_body";
export declare abstract class AbstractCurveBody<T extends CurveCommandType> implements CommandBody<T> {
    private createPoints;
    protected createInnerBodies(colliderSize: number, curve: CurveCommandType): Body[];
    abstract get bodies(): Body[];
    abstract updateSvgCommand(): void;
}
